from tkinter import *
import pygame
import tkinter.scrolledtext as scrolledtext
import keyboard
import sys
import time
window = Tk()
canvas = Canvas(bg='black')
window.resizable(0, 0)
window.geometry("924x600")
game_load = open("game_load.txt", "r+")
pygame.init()
pygame.mixer.music.load("sounds/Laser_Shoot28.wav")
pygame.mixer.music.play(loops=0)
pygame.mixer.music.set_volume(0.1)
entry1 = Entry(window, font=('Cooper Black', 25, 'bold', 'italic'))
entry2 = Entry(window, font=('Cooper Black', 25, 'bold', 'italic'), state=DISABLED)
entry2["state"] = NORMAL
entry2.insert(0, "HELLO WORLD")
entry2["state"] = DISABLED
entry1.insert(0, "HELLO WORLD")
entry1.config({"background": "BLACK"})
entry1.config(fg='white')
text_area = scrolledtext.ScrolledText(window,font = ("Times New Roman",15))
text_area.configure(state ='disabled')
level_number = 2
eingabe = ""
rate = 0.1
lines = game_load.readlines()
if len(lines) == 0:
    lines.append("1")
    game_load.writelines(lines)
    game_load.flush()
if lines[0].isdecimal():
        if float(lines[0])<=level_number:
            level = float(lines[0])
        else:
            level = 1
            lines[0] = "1"
            game_load.writelines(lines)
            game_load.flush()
else:
    level = 1
    lines[0] = "1"
    game_load.writelines(lines)
    game_load.flush()
new_level = True
#text_area.insert(INSERT, "LEVEL 1")
entry1.delete(0, "end")
window.update()
#text_area.insert(INSERT, "LEVEL 2")
text_area.config({"background": "BLACK"})
text_area.config(fg='white')
window.update()
class Level1():
    def __init__(self):
        self.background = PhotoImage(file='images/background 1.png')
        self.background = self.background.subsample(3, 3)
        self.intro = "LEVEl1\nthis is an example"
class Level2():
    def __init__(self):
        self.background = PhotoImage(file="images/background 2.png")
        self.background = self.background.subsample(3, 3)
        self.intro = "LEVEL 2"
level1 = Level1()
level2 = Level2()

canvas.place(width = 524, height = 600, x=400, y=0)
text_area.place(width = 400,height = 300, y=0)
entry1.place(width = 383, height = 300, y=300)
while True:
    if keyboard.is_pressed("enter"):
        eingabe = entry1.get()
        if eingabe == "exit":
            window.destroy()
        elif eingabe == "level1":
            level = 1
            new_level = True
        elif eingabe == "level2":
            level = 2
            new_level = True
        entry1.delete(0, "end")
    if level == 1:
        if new_level == True:
            canvas.create_image(275, 270, image=level1.background)
            text_area.configure(state='normal')
            text_area.delete("0.0", END )
            liste = level1.intro.split(" ")
            for a in liste:
                for b in list(a):
                    text_area.insert(INSERT, b)
                    window.update()
                    time.sleep(rate)
                text_area.insert(INSERT, " ")
            text_area.configure(state='disabled')
            new_level = False
            window.update()
    elif level == 2:
        if new_level == True:
            canvas.create_image(275, 270, image=level2.background)
            text_area.configure(state='normal')
            text_area.delete("0.0", END)
            text_area.insert(INSERT, level2.intro)
            text_area.configure(state='disabled')
            new_level = False
            window.update()

    window.update()